Subject: bug#39812: 26.1; face-remapping-alist is sometimes set to an unexpected value

From: Markus Triska <[email-masked]>
Date: Fri, 28 Feb 2020 08:15:03 +0100

Noam Postavsky <[email-masked]> writes:

> face-remap-add-relative destructively modifies the list value, so
> setting face-remapping-alist to a quoted literal gives unexpected
> results like this.

Thank you for looking into this! Using copy-tree makes it work.

However, I find it very unexpected that face remapping modifies a value
that appears as a literal constant in my own code. Is it possible to
make face remapping word without such destructive side-effects?

Alternatively, would you please consider documenting how to work around
this, for example at the place where the sample snippet is mentioned?

Thank you and all the best!
Markus